Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 51)
@@ -0,0 +1,384 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 資材品目マスタアクセスクラス
+    /// </summary>
+    public class IOMaterialItem : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 資材品目マスタフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            MaterialItemCode = 0,
+            MaterialKindCode,
+            MaterialItemName,
+            DisplayOrder,
+            DeleteFlg,
+            ENTRY_DATE,
+            UPDATE_DATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMaterialItem()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 資材品目マスタ検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">資材品目マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<MaterialItemMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " MaterialItemCode, MaterialKindCode, MaterialItemName, DisplayOrder, DeleteFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM MaterialItemMaster";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    MaterialItemMaster work = new MaterialItemMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 資材品目マスタ追加
+        /// </summary>
+        /// <param name="data">資材品目マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<MaterialItemMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (MaterialItemMaster work in data)
+                {
+                    strcmd = "INSERT INTO MaterialItemMaster";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.MaterialItemCode.ToString());
+                    strcmd += string.Format(", {0}", work.MaterialKindCode.ToString());
+                    strcmd += string.Format(", '{0}'", work.MaterialItemName);
+                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 資材品目マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">資材品目マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, MaterialItemMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE MaterialItemMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" MaterialItemCode = {0}", data.MaterialItemCode.ToString());
+                strcmd += string.Format(",MaterialKindCode = {0}", data.MaterialKindCode.ToString());
+                strcmd += string.Format(",MaterialItemName = '{0}'", data.MaterialItemName);
+                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+
+        /// <summary>
+        /// 資材品目マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">資材品目マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = "Update MaterialItemMaster Set DeleteFlg = 1,DisplayOrder = 999";
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref MaterialItemMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.MaterialItemCode  = int.Parse(objwrk[(int)NameColumn.MaterialItemCode].ToString());
+                wrk.MaterialKindCode = int.Parse(objwrk[(int)NameColumn.MaterialKindCode].ToString());
+                wrk.MaterialItemName  = objwrk[(int)NameColumn.MaterialItemName].ToString();
+                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int MaterialItemCode)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where MaterialItemCode = {0}", MaterialItemCode);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        /// <summary>
+        /// 最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxMaterialItemKeyCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(MaterialItemCode), 0) FROM MaterialItemMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+        /// <summary>
+        /// 指定資材種類の件数を取得する
+        /// </summary>
+        /// <param name="MaterialKindCode">資材種類コード</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectkindItemCount(int MaterialKindCode, bool bConnect = true)
+        {
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = string.Format("SELECT COUNT(*) FROM MaterialItemMaster where MaterialKindCode = {0} and Deleteflg = 0" , MaterialKindCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                iRet = int.Parse((((object[])arData[0])[0]).ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+        /// <summary>
+        /// タイムアウト設定
+        /// </summary>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SetTimeOut(int time, bool bConnect = true)
+        {
+            //インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("set innodb_lock_wait_timeout = {0};", time);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        /// <param name="MaterialTypesCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLock(int MaterialItemCode, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from MaterialItemMaster  where MaterialItemCode = {0} for update;", MaterialItemCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 51)
@@ -0,0 +1,334 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    public class IOMaterialRecordInfo : MySqlProcess 
+    {
+
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            MaterialItemCode = 0,
+            ProcessDate,
+            SeqNo,
+            RecKind,
+            ConstructionCode,
+            PersonCode,
+            MaterialCount,
+            RepayPlanDate,
+            CommentText,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMaterialRecordInfo()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<MaterialRecordInfo> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " MaterialItemCode,DATE_FORMAT(ProcessDate, '%Y/%m/%d %H:%i:%s'),SeqNo,RecKind,ConstructionCode,PersonCode,MaterialCount,DATE_FORMAT(RepayPlanDate, '%Y/%m/%d %H:%i:%s'),CommentText";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM MaterialRecordInfo";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    MaterialRecordInfo work = new MaterialRecordInfo();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 追加
+        /// </summary>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<MaterialRecordInfo> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (MaterialRecordInfo work in data)
+                {
+                    strcmd = "INSERT INTO MaterialRecordInfo";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.MaterialItemCode.ToString());
+                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.ProcessDate.ToString());
+                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
+                    strcmd += string.Format(", {0}", work.RecKind.ToString());
+                    strcmd += string.Format(", {0}", work.ConstructionCode.ToString());
+                    strcmd += string.Format(", {0}", work.PersonCode.ToString());
+                    strcmd += string.Format(", {0}", work.MaterialCount.ToString());
+                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RepayPlanDate.ToString());
+                    strcmd += string.Format(", '{0}'", work.CommentText.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, MaterialRecordInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE MaterialRecordInfo";
+                strcmd += " SET";
+
+                strcmd += string.Format(" RecKind = {0}", data.RecKind.ToString());
+                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
+                strcmd += string.Format(",MaterialCount = {0}", data.MaterialCount.ToString());
+                strcmd += string.Format(",RepayPlanDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RepayPlanDate.ToString());
+                strcmd += string.Format(",CommentText = '{0}'", data.CommentText.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM MaterialRecordInfo", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref MaterialRecordInfo wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.MaterialItemCode = int.Parse(objwrk[(int)NameColumn.MaterialItemCode].ToString());
+                wrk.ProcessDate = DateTime.Parse(objwrk[(int)NameColumn.ProcessDate].ToString());
+                wrk.SeqNo  = int.Parse(objwrk[(int)NameColumn.SeqNo ].ToString());
+                wrk.RecKind = int.Parse(objwrk[(int)NameColumn.RecKind].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
+                wrk.MaterialCount = int.Parse(objwrk[(int)NameColumn.MaterialCount].ToString());
+                wrk.RepayPlanDate = DateTime.Parse(objwrk[(int)NameColumn.RepayPlanDate].ToString());
+                wrk.CommentText = objwrk[(int)NameColumn.CommentText].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int MaterialItemCode, DateTime ProcessDate)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d')", MaterialItemCode, ProcessDate);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        /// <summary>
+        /// 最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxMaterialRecordKeyCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM MaterialRecordInfo" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        /// <param name="MaterialItemCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLock(int MaterialItemCode, DateTime ProcessDate, int SeqNo, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from MaterialrecordInfo  where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d') and SeqNo = {2} for update;",
+                                        MaterialItemCode, ProcessDate, SeqNo);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        #endregion
+    }
+}
